use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

my @clargs;

foreach (@ARGV) {
    if (/^PREFIX=(.*)/i) {
    	$CHANGE_PREFIX = true;
        $PREFIX = $1;
        chomp $PREFIX;
	next;
    }
    push(@clargs, $_);
}

@ARGV = @clargs;

$exe_files = [ <bin/*> ];

WriteMakefile(
    'NAME'		=> 'UStream',
    'VERSION_FROM'	=> 'lib/UStream.pm', # finds $VERSION
    'PREREQ_PM'		=> {	CGI::FormBuilder => 3.0,
				Config::Simple => 4.5,
				Log::Log4perl => 1.0,
				IPC::Shareable => 0.6
			},
    'EXE_FILES'		=> $exe_files,
    ($CHANGE_PREFIX ?
      (INSTALLBIN        => "$PREFIX/bin",
       INSTALLSCRIPT     => "$PREFIX/bin",
       INSTALLSITEMAN1DIR    => "$PREFIX/man/man1",
       INSTALLSITEMAN3DIR    => "$PREFIX/man/man3",
       INSTALLSITELIB    => "$PREFIX/lib") :
      (INSTALLBIN        => '/usr/local/bin',
       INSTALLSCRIPT     => '/usr/local/bin')
    ),
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => 'lib/UStream.pm', # retrieve abstract from module
       AUTHOR     => 'Keith F. Stark') : ()),
);

1;
