#!/usr/local/bin/perl 

# ustream_cgi.pm - show, add, edit, delete site info

use strict;

use CGI;
use Switch;
use CGI::FormBuilder;
use Data::Dumper;
use File::Basename;
require "UStream.pm";
require "UStream/CGI.pm";

my $query = new CGI;                            # OO style

print $query->header();
#print $query->start_html (-STYLE => {-verbatim => '@import url("/ustream_style.css");', -src => '/ustream_style.css', -media => 'all'});
print $query->start_html (-style=>{'src' => '/ustream_style.css'});

my $ustream_cgi = new UStream::CGI($query);
my $content = $ustream_cgi->get_html();

print <<EOF;
<div id="header" >
<span id="logo">ustream</span></p>

<span id="menu">
<a href="/cgi-bin/ustream.cgi?mode=system">System</a>
<a href="/cgi-bin/ustream.cgi?mode=all">Sites</a>
<a href="/cgi-bin/ustream.cgi?mode=add">Add Site</a>
</span>
</div>
<p/>
EOF
print $content;

print $query->end_html();
exit(0);

__END__

=head1 NAME

ustream.cgi - CGI Script for UStream web interface

=head1 SYNOPSIS


=head1 AUTHOR

Keith F. Stark (Stark Consulting LLC)

=head1 SEE ALSO

L<ustreamrc>, L<ustream-logger>, L<ustream.cgi>, L<UStream>,  L<UStream::CGI>, L<UStream::Log>, L<UStream::Template>

=cut

